'use strict';

var React = require('react');
var PropTypes = require('prop-types');
var react = require('@carbon/react');
var Settings = require('../../../constants/Settings.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);
var PropTypes__default = /*#__PURE__*/_interopDefault(PropTypes);

/* eslint-disable jsx-a11y/anchor-is-valid */
/* eslint-disable no-script-url */

var defaultProps = {
  testId: 'suite-header-app-switcher'
};
var propTypes = {
  testId: PropTypes__default.default.string
};
var SuiteHeaderAppSwitcherLoading = function SuiteHeaderAppSwitcherLoading(_ref) {
  var testId = _ref.testId;
  var baseClassName = "".concat(Settings.settings.iotPrefix, "--suite-header-app-switcher");
  return /*#__PURE__*/React__default.default.createElement("ul", {
    "data-testid": "".concat(testId, "--loading"),
    className: baseClassName
  }, /*#__PURE__*/React__default.default.createElement("li", {
    className: "".concat(baseClassName, "--nav-link")
  }, /*#__PURE__*/React__default.default.createElement("div", {
    className: "".concat(baseClassName, "--nav-link--button--loading")
  }, /*#__PURE__*/React__default.default.createElement(react.ButtonSkeleton, null))), /*#__PURE__*/React__default.default.createElement("li", null, /*#__PURE__*/React__default.default.createElement("div", {
    className: "".concat(baseClassName, "--nav-link--loading")
  }, /*#__PURE__*/React__default.default.createElement(react.SkeletonText, {
    paragraph: true,
    lineCount: 3
  }))));
};
SuiteHeaderAppSwitcherLoading.defaultProps = defaultProps;
SuiteHeaderAppSwitcherLoading.propTypes = propTypes;
SuiteHeaderAppSwitcherLoading.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "SuiteHeaderAppSwitcherLoading",
  "props": {
    "testId": {
      "defaultValue": {
        "value": "'suite-header-app-switcher'",
        "computed": false
      },
      "description": "",
      "type": {
        "name": "string"
      },
      "required": false
    }
  }
};
var SuiteHeaderAppSwitcherLoading$1 = SuiteHeaderAppSwitcherLoading;

module.exports = SuiteHeaderAppSwitcherLoading$1;
